require "nvchad.mappings"

local map = vim.keymap.set

map("n", ";", ":", { desc = "CMD enter command mode" })
map("i", "jk", "<ESC>")

-- Easy-align mappings
map("x", "ga", "<Plug>(EasyAlign)", { silent = true })
map("n", "ga", "<Plug>(EasyAlign)", { silent = true })

map("n", "<C-e>", function()
  require("telescope.builtin").oldfiles()
end, { desc = "Open recent files with Telescope" })